Subject: [bug#71668] [PATCH] gnu: musescore: Update to 4.3.2.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 05 Jul 2024 10:04:07 +0200

Hi Maxim,

Am Sonntag, dem 23.06.2024 um 21:54 -0400 schrieb Maxim Cournoyer:
> Hi,
> 
> Nicolas Goaziou <[email-masked]> writes:
> 
> > * gnu/packages/music.scm (musescore): Update to 4.3.2.
> > 
> > Change-Id: I78b5508645430a6f96d9fc03caa1015a4905a6f2
> > ---
> >  gnu/packages/music.scm | 4 ++--
> >  1 file changed, 2 insertions(+), 2 deletions(-)
> > 
> > diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
> > index c12bb843fe..e5669c5d87 100644
> > --- a/gnu/packages/music.scm
> > +++ b/gnu/packages/music.scm
> > @@ -5393,7 +5393,7 @@ (define-public sfizz
> >  (define-public musescore
> >    (package
> >      (name "musescore")
> > -    (version "4.2.1")
> > +    (version "4.3.2")
> >      (source
> >       (origin
> >         (method git-fetch)
> > @@ -5402,7 +5402,7 @@ (define-public musescore
> >               (commit (string-append "v" version))))
> >         (file-name (git-file-name name version))
> >         (sha256
> > -        (base32
> > "0rc5ma1k0cjllfl86apbyj61sh0691lsmqnvqicyn0zi53z8w9v0"))
> > +        (base32
> > "1hx0l6d7avyfbh88hwn01h9q51mgd9zix91q2kgg1ax73pqxhfs2"))
> >         (modules '((guix build utils)))
> >         (snippet
> >          '(begin
Did you really push this?  I don't see it on master.

Anyhow, I noticed that MuseScore swapped its build flags.  At the very
least, you'll have to write 
  "-DMUE_DOWNLOAD_SOUNDFONT=OFF" 
  "-DMUE_BUILD_DIAGNOSTICS=OFF"
instead of the ones we're currently using.

I also started investigating the FSDG issues[1] and at the very least
it seems some unbundling is needed for the thirdparty stuff.

Enterprise quality software, folks :)

[1] https://issues.guix.gnu.org/62391